function [a,A]=bisektion(fct,a,b,e)
%Aufruf: a=bisektion(fct,a,b,e)
%Parameter: a(out) ... Nherungswert der Nullstelle
%       A ... Matrix der Nherungswerte (Intervallmitten)
%       fct ... Function-Handle
%       a(in) ... linke Grenze
%       b ... rechte Grenze
%       e ... Toleranz
%Funktionsweise: Das Bisektionsverfahren wird durchgefhrt.

A(1,1:2)=[(a+b)/2 fct((a+b)/2)];

while abs(fct(a))>=e && abs(b-a)>=e
    c=(a+b)/2;
    if fct(a)*fct(c)<=0
        b=c;
    else
        a=c;
    end
    A(size(A,1)+1,1:2)=[(a+b)/2 fct((a+b)/2)];
end
end