function Uinv = blockinvU(U)
%Aufruf: Uinv = blockinvU(U)
%Parameter: U ... zu invertierende Matrix
%           Uinv ... invertierte Matrix
%Funktionsweise: U wird durch Rekursion auf leicht invertierbare
%1x1 oder 2x2-Matrizen zurckgefhrt und anschlieend zusammengefhrt.

%Dimension auslesen
n = size(U,1);
switch n
    case 1
        Uinv = 1/U;
    case 2
        Uinv = [1/U(1,1), -U(1,2)/(U(1,1)*U(2,2)); 0, 1/U(2,2)];
    otherwise
        if (mod(n,2) == 0)
            m = n/2;
        else
            m = (n+1)/2;
        end

        %Matrix in Blcke teilen
        U11 = U(1:m,1:m);
        U12 = U(1:m,m+1:n);
        U22 = U(m+1:n,m+1:n);
        
        %U11^-1 und U22^-1 durch Rekursion berechnen
        U11inv = blockinvU(U11);
        U22inv = blockinvU(U22);

        %U12^-1 durch Multiplikation errechnen
        U12inv = -U11inv*U12*U22inv;

        %invertierte Matrix zurckgeben
        Uinv = [U11inv, U12inv; zeros(n-m,m), U22inv];
end
end