function [y,A] = diff(f,x,h0,tau)
%Aufruf: [y,A] = diff(f,x,h0,tau)
%Parameter: y ... Nherungswert fr f'(x)
%           A ... Folge der Iterierten
%           f ... Function-Handle
%           x ... zu betrachtende Stelle
%           h0 ... erste Intervallgre
%           tau ... Toleranz
%Funktionsweise: Errechnet durch konstante Verkleinerung der
%Intervallgre des einseitigen Differenzenquotienten
%einen Nherungswert fr die 1. Ableitung an der Stelle x.
a=0;
b=(f(x+h0)-f(x))/h0;
A(1,1)=b;

if (abs(b)<=tau)
    cond = tau;
else
    cond = tau*abs(b);
end

n=0;
while abs(a-b)>cond
   n=n+1;
   hn=2^(-n)*h0;
   a=b;
   b=(f(x+hn)-f(x))/hn;
   A(length(A)+1,1)=b;
   
   if (abs(b)<=tau)
        cond = tau;
   else
        cond = tau*abs(b);
   end
end
y=b;
end