function [z,A] = newton2(f, x0, tau)
%Aufruf: [z,A] = newton2(f, x0, tau)
%Parameter: z ... Nherungswert der Nullstelle
%           A ... Matrix der Nherungswerte
%           f ... Function-Handle
%           x0 ... Startwert
%           tau ... Toleranz
%Funktionsweise: Wie 'newton', mit dem einseitigen
%Differenzenquotienten anstelle von fprime.
diffquot=@(x) (f(x+tau)-f(x))/tau;
[z,A] = newton(f, diffquot, x0, tau);
%Zusammenhang siehe http://tinyurl.com/eprog88
end