function testsqrt(x, tau)
%Aufruf: testsqrt(x, tau)
%Parameter: x ... Radikand
%           tau ... Toleranz
%Funktionsweise: Fhrt eine Berechnung der positiven Nullstelle
%mittels Bisektions-, Sekanten- und Newtonverfahren durch und
%veranschaulicht die Resultate.

    f=@(t) t^2-x;
    fprime=@(t) 2*t;
      
    fprintf('sqrt(%d) = %.15f\n', x, sqrt(x));
    
    [z, A]=bisektion(f, 0, x, tau);
    fprintf('\n1. Bisektionsverfahren: bisektion(f, 0, %d, %.4d)\n', x, tau);
    fprintf('   z = %.9f\n',z);
    fprintf('   F = %1.4e\n',abs(sqrt(x)-z)/sqrt(x));
    fprintf('   n = %d\n',size(A,1)-1); 
    
    [z, A]=sekante(f, 0, x, tau);
    fprintf('\n2. Sekantenverfahren: sekante(f, 0, %d, %.4d)\n', x, tau);
    fprintf('   z = %.9f\n',z);
    fprintf('   F = %1.4e\n',abs(sqrt(x)-z)/sqrt(x));
    fprintf('   n = %d\n',size(A,1)-2);
    
    [z, A]=newton(f, fprime, x, tau);
    fprintf('\n3. Newton-Verfahren: newton(f, fprime, %d, %.4d)\n', x, tau);
    fprintf('   z = %.9f\n',z);
    fprintf('   F = %1.4e\n',abs(sqrt(x)-z)/sqrt(x));
    fprintf('   n = %d\n',size(A,1)-1);    
    
end